import 'package:example_chat/widget_chat.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  // This widget is the root of your application.
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  //Default build of class

  @override
  Widget build(BuildContext context) {
    //Default build of class
    return MaterialApp(
      //Title of page

      title: 'Automatic Chat Demo',
      //Theme of page
      theme: ThemeData(
        primarySwatch: Colors.blue,
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      //passing te home
      home: MyHomePage(title: 'Automatic Chat Demo'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  //Calling build method
  MyHomePage({Key key, this.title}) : super(key: key);

  //Creating title
  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  //Init state method
  @override
  void initState() {
    super.initState();
  }

  //Default build of class

  @override
  Widget build(BuildContext context) {
    //Default build of class

    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
      ),
      //Default build of class

      body: Column(
        mainAxisAlignment: MainAxisAlignment.start,
        children: <Widget>[
          // THIS IS THE WIDGET
          ChatAnimatedMessage(
            // Here u can write your message
            message:
                "Hello, i'm the message that will appears letter by letter on baloon",
            // Thats the color fof baloon
            baloonColor: Colors.red,
            // Time until Starts writing
            timeToStart: 1000,
            // The borders of baloon
            roundedBorder: BorderRadius.only(
              // topLeft: Radius.circular(23),
              bottomLeft: Radius.circular(23),
              topRight: Radius.circular(23),
              bottomRight: Radius.circular(23),
            ),
          )
        ],
      ),
      // This trailing comma makes auto-formatting nicer for build methods.
    );
  }
}
